# vim: set ts=4 sw=4 et:
# Copyright (c) 2010 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

Summary:        FLAC OGMRip plugin
Name:           ogmrip-flac
Version:        0.1
Release:        150500.3.pm.3
# http://prdownloads.sourceforge.net/ogmrip/ogmrip-flac-%{version}.tar.gz
Source:         ogmrip-flac-%{version}.tar.bz2
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ogmrip)
Requires:       MPlayer
Requires:       flac
Requires:       ogmrip

%description
A plugin which adds support for the FLAC audio codec.

%prep
%autosetup -p1
%build
sed -i~ '
/^CFLAGS/d
/^LDFLAGS/d
' configure.in
diff -u "$_"~ "$_" && exit 1
autoreconf -fiv
%configure \
    --enable-static=no
%make_build

%install
%make_install \
    	video_codecsdir=%{_libdir}/ogmrip/video-plugins \
    	options_plugindir=%{_libdir}/ogmrip/options-plugins \
    	containersdir=%{_libdir}/ogmrip/container-plugins

%find_lang %{name}

find '%{buildroot}%{_libdir}' -type f \( -name '*.h' -o -name '*.la' \) -print -delete

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%dir %{_libdir}/ogmrip
%dir %{_libdir}/ogmrip/audio-plugins
%{_libdir}/ogmrip/audio-plugins/libogmrip-flac.so

%changelog
* Fri Jul 30 2010 toni@links2linux.de
- initial package for 0.1
